## NAME

CURLOPT_XOAUTH2_BEARER - specify OAuth 2.0 access token

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_XOAUTH2_BEARER, char *token);

## DESCRIPTION

Pass a char * as parameter, which should point to the zero terminated OAuth 2.0 Bearer Access Token for use with IMAP, POP3 and SMTP servers that support the OAuth 2.0 Authorization Framework.

Note: The user name used to generate the Bearer Token should be supplied via the CURLOPT_USERNAME option.

## DEFAULT

NULL

## PROTOCOLS

IMAP, POP3 and SMTP

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.33.0

## RETURN VALUE

Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

## SEE ALSO

CURLOPT_MAIL_AUTH, CURLOPT_USERNAME

This HTML page was made with roffit.